


function CreateMusic(filename, bonus, isFight, scoreTension)
	local obj = Create("CMusic")
	obj.m_filename = filename;
	obj.m_bonus = bonus;
	obj.m_scoreTension = scoreTension or 0;
	obj.m_bonusMalus_fight = { isFight and 3 or 0, isFight and -3 or 0 };
	return obj
end

-- DAY MUSICS
musicTheme = CreateMusic("dig or die theme 5-1 modified",					0, 		false, 3);  -- SPECIAL: MAIN THEME
musicTheme.m_bonusMalus_homeScreen = { 0.8, -0.8 } -- so it's played (only) at menu opening
music_day1 = CreateMusic("day/Moon", 										0, 		false, 2);
music_day2 = CreateMusic("day/Desert Storm", 								0, 		false, 3);
music_day3 = CreateMusic("day/The Saturn Wind", 							0, 		false, 3);
music_day4 = CreateMusic("day/dreamweaver_-_Reason to Believe",				0, 		false, 2);
music_day5 = CreateMusic("day/dreamweaver_-_Angel-Wings",					0, 		false, 2);
music_day6 = CreateMusic("day/dreamweaver_-_Sphere-of-Spirit",				0, 		false, 2);      
music_day7 = CreateMusic("day/additions2/In Space",							-0.1, 	false, 3);
music_day8 = CreateMusic("day/additions2/Dark Planet",						-0.1, 	false, 5);
music_day9 = CreateMusic("day/additions2/Drone Music", 						-0.1, 	false, 3.5);
music_day10 = CreateMusic("day/additions2/New Inspiration", 				-0.1, 	false, 2);
music_day11 = CreateMusic("day/additions2/Free And Easy",					-0.1, 	false, 1);
music_day12 = CreateMusic("day/additions2/Inspirational Piano Elegance",	0, 		false, 1);
music_day13 = CreateMusic("day/additions2/Inspiring Technology", 			0, 		false, 3);
music_day14 = CreateMusic("day/additions2/Source Of Inspiration", 			-0.1, 	false, 2);
                                                                            
music_night1 = CreateMusic("night/Rules", 									0, 		true);
music_night2 = CreateMusic("night/Shake It", 								0, 		true);
music_night3 = CreateMusic("night/So Heavy", 								0, 		true);
music_night4 = CreateMusic("night/Old and New", 							0, 		true);
music_night5 = CreateMusic("night/Love In Heart", 							0, 		true);
music_power = CreateMusic("night/additions/okanakdeniz_power", 				0, 		true);
music_power.m_bonusMalus_nightStart = { 0, -1.1 };                         
music_opening = CreateMusic("night/additions/opening 12", 					0, 		true);
music_opening.m_bonusMalus_nightStart = { 0, -1.1 };                       
music_night8 = CreateMusic("night/additions/A New Discover", 				0, 		true);
music_cultOfTech = CreateMusic("night/additions2/Cult Of Tech", 			0, 		true);
music_cultOfTech.m_bonusMalus_bossFight = { 0.6, -1.1 }; -- so it's played (only) at boss start


list_musics = { musicTheme, music_day1, music_day2, music_day3, music_day4, music_day5, music_day6, music_day7, music_day8, music_day9, music_day10, music_day11, music_day12, music_day13, music_day14, music_night1, music_night2, music_night3, music_night4, music_night5, music_power, music_opening, music_night8, music_cultOfTech };





